/*
$Header: /opt/repository/icecubes/Rice/code/com/adobe/rice/IceCubes.java,v 1.3 2000/11/27 20:58:40 bhunt Exp $

ICEcubes - Reference implementation of the Information and Content Exchange Protocol
Copyright (C) 1998 - 2000 ICE Authoring Group

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The ICE Authoring Group thanks Adobe System's Inc. for supporting 
the initial development of ICEcubes.

This library was written on behalf of the ICE Authoring Group, affialiated
with GCA's IdeaAlliance.  For the latest information on ICE see 

http://www.icestandard.org

One or more classes in ICEcubes have been written by:

V. Bruce Hunt,                  Technical Lead & Vice Chair, ICE-AG, 
    vbhunt@sourceforge.net      Adobe Systems, Inc.
    
Jonathan Herbach                Developer           
    jherbach@adobe.com          Princeton University & Adobe Systems, Inc.
    
Will Conant                     Developer
                                University of Utah & Adobe Systems Inc.

Andrew Francis                  Developer           
    afrancis@adobe.com          Adobe Systems, Inc.
    
Anna Shamble                    Developer           
    ashamble@adobe.com          Santa Clara University & Adobe Systems, Inc.

Authors of various classes are noted in the headings 

*/

/*----------------------------------------------------------------------------------------+
 |                                                                                        |
 |                              Reference Implementation of ICE                           |
 |                                                                                        |
 |                   IceCubes - Main Entry for the Reference Implementation               |
 |                                                                                        |
 +----------------------------------------------------------------------------------------*/ 
package com.adobe.rice;

import com.adobe.rice.common.Tray;
import com.adobe.rice.kernel.*;

public class IceCubes 
{
    public static Tray tray;
    
    public static void main(String args[])
    {
        try
        {
           System.out.println ("ICEcubes -- ICE Reference Implemetation Starting.");
           //
           // open the tray!
           //
           tray = new Tray();
           //
           // run till we drop
           //
           Thread base = new Thread(tray);
           base.start();
           //
           // wait until tray stops
           //
           try { base.join(); }
           catch (InterruptedException e ) { e.printStackTrace(); }
           //
           // Announce that we are leaving:
           //
           System.out.println("ICEcubes -- ICE Reference Implementation Ending.");
        }
        catch (DispatcherException e)
        {
            e.printStackTrace ();
        }
    }
}
