/*
$Header: /opt/repository/icecubes/Rice/code/com/adobe/rice/common/asks/AskConstants.java,v 1.1 2000/11/22 21:09:49 bhunt Exp $

ICEcubes - Reference implementation of the Information and Content Exchange Protocol
Copyright (C) 1998 - 2000 ICE Authoring Group

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The ICE Authoring Group thanks Adobe System's Inc. for supporting 
the initial development of ICEcubes.

This library was written on behalf of the ICE Authoring Group, affialiated
with GCA's IdeaAlliance.  For the latest information on ICE see 

http://www.icestandard.org

*/

package com.adobe.rice.common.asks;

//
// java imports
//
import java.util.*;

//
// icecubes imports
//
import com.adobe.rice.util.*;
import com.adobe.rice.util.time.*;
import com.adobe.rice.common.asks.*;
import com.adobe.rice.common.policies.*;

public final class AskConstants 
{
    
    public final static IceDuration fixedDefaultTimeOut = new IceDuration("P120S");
    public final static int MAX_RETRYS = 10;
        
    //
    // silly formatting routine that should be removed at some point
    //
    
    public static String getWhiteSpace( int nest )
    {
        // $FIX$ this cheesey function to be more efficient.
        String s = "";
        for ( int i = 0; i < nest ; i++ ) s += " ";
        return s;
    }
}