/*
$Header: /opt/repository/icecubes/Rice/code/com/adobe/rice/common/catalog/Contact.java,v 1.1.1.1 2000/09/19 19:39:44 bhunt Exp $

ICEcubes - Reference implementation of the Information and Content Exchange Protocol
Copyright (C) 1998 - 2000 ICE Authoring Group

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The ICE Authoring Group thanks Adobe System's Inc. for supporting 
the initial development of ICEcubes.

This library was written on behalf of the ICE Authoring Group, affialiated
with GCA's IdeaAlliance.  For the latest information on ICE see 

http://www.icestandard.org

*/


/**
 * Contact.java
 *
 *
 * Created: Sun Nov  7 11:17:39 1999
 *
 * @author Will Conant
 * @author Bruce Hunt
 * @version 1.0
 */

package com.adobe.rice.common.catalog;

import java.util.*;
import java.io.*;
import java.text.*;
//$JDK1.1$ import com.sun.java.util.collections.*;
import com.adobe.rice.common.storage.*;

public class Contact
{
    String description;
    String lang;
    String name;
    String url;
	
    List iceTexts = null;
	
    public Contact()
    {
	description = "";
	lang = "";
	name = "";
	url = "";
	List iceTexts = null;
    }
	
    public String toString()
    {
	String rtn = "Contact = { " +
	    " name = '" + name + "', " +
	    " lang = '" + lang + "', " +
	    " url = '" + url + "', " +
	    " description = '" + description + "' " +
					 " }; ";
	// $FIX$ fill in IceText here.
	return rtn;
    }
	
    public String toXMLstring()
    {
	String startTag = "<ice-contact " +
	    "description = \"" + description + "\" " +
	    "xml:lang = \"" + lang + "\" " +
	    "name = \"" + name + "\" " +
	    "url = \"" + url + "\" " +
	    ">";
	StringBuffer content = new StringBuffer( 50 * iceTexts.size() );
	String endTag = "</ice-contact>";
	
	if ( iceTexts.size() > 0 )
	{		
	    for ( int i = 1; i < iceTexts.size(); i++ )
	    {
		content.append( (( IceText) iceTexts.get(i)).toXMLstring() );
	    }
	}
	return startTag + content.toString() + endTag;
    }  
} // Contact
