/*

*/
// these programs test checklist and BitVector, respectively
// if you would like to test issueElementArray, it would be better to use iceIssue
// if you would like to test just stateTable, it would be better to use iceTable
// if you would like to test packagePreparation, it would be better to use icePackage
// if you would like to test generateUpdateList, it would be better to use icePkgList
// if you would like to test makeUpdate, it would be better to use iceUpdate
// if you would like to test makeUpdate and unwrapPackage, or want an example of how to create, 
//   fill, and update a collection from "scratch," use iceTest

package com.adobe.rice.common.collections;

import java.util.*;
import java.io.*;
 
public class iceModel
{ 
   public static void main( String[] args )
    {
        String name = "clxn";
        Collection clxn = new Collection(name);
        Model model = clxn.getModel();
        String seName = "se";
        SubscriptionElement se = new SubscriptionElement(seName, true);
        
        
        model.setSubscriptionElement(se);
        String mName = "toModify";
        SubscriptionElement toModify = new SubscriptionElement(mName, true);

        String m2Name = "toModify2";
        SubscriptionElement toModify2 = new SubscriptionElement(m2Name, true);
       
        String s = "first";
        SubscriptionElement first = new SubscriptionElement(s, s);
        int ok = toModify.putIntoGroup(first); // set item first in group toModify
        ok = ok + toModify2.putIntoGroup(first); // set item first in group toModify2
        if ( ok == -1 )
            System.out.println("uhoh");
        else
            System.out.println("yay!");        
            
        ok = se.putIntoGroup(toModify); // set group toModify in group se
        ok = ok + se.putIntoGroup(toModify2); // set item toModify2 in group se
        if ( ok == -1 )
            System.out.println("uhoh");
        else
            System.out.println("yay!"); 
            
        String e = "second";
        SubscriptionElement second = new SubscriptionElement(e, e);
        ok = toModify2.putIntoGroup(second); // set item second in group toModify2 
        if ( ok == -1 )
            System.out.println("uhoh");
        else
            System.out.println("yay!");  
            
        ok = se.putIntoGroup(toModify2); // set modified group toModify2 in group se (again)
        if ( ok == -1 )
            System.out.println("uhoh");
        else
            System.out.println("yay!");  
            
    System.out.println("done");  
    }
}