/*
$Header: /opt/repository/icecubes/Rice/code/com/adobe/rice/common/scheduling/Runner.java,v 1.2 2000/11/27 20:19:41 bhunt Exp $

ICEcubes - Reference implementation of the Information and Content Exchange Protocol
Copyright (C) 1998 - 2000 ICE Authoring Group

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The ICE Authoring Group thanks Adobe System's Inc. for supporting 
the initial development of ICEcubes.

This library was written on behalf of the ICE Authoring Group, affialiated
with GCA's IdeaAlliance.  For the latest information on ICE see 

http://www.icestandard.org

*/

package com.adobe.rice.common.scheduling;
abstract public class Runner extends Thread{
	
	public void execute() 
	{
		//
	}

	public boolean equals() 
	{
		/* TODO
		Equality is an interesting question. Consider this in the context
		of a DSI. The code within DSI.equals(DSI) is as follows:
		//  return (starttime.equals(other.starttime)	
		//	  && runner.equals(other.runner));
		Thus, the runner value should equate only if it will be doing the
		same task as another runner at the same time. This is used to ensure
		no duplication. Obvious? In usage. Runner-specific definitions of
		equality are more subtle.  jdh
		*/
		return false;
	}									
}
