package com.adobe.rice.kernel;

public interface Constants
{
    public final long POLL = 0;
    public final long BLOCK = -1;
    public final int  unknownCommand = -2;
    
    public final String subRequest [] = {"ice-cancel",
                                         "ice-get-catalog",
                                         "ice-get-package",
                                         "ice-get-sequence",
                                         "ice-repair-item" };
                                         
    public final String synRequest [] = {"ice-package",
                                         "ice-send-confirmations"};
                                         
    public final String commonRequest [] = {"ice-change-subscription",
                                            "ice-code",
                                            "ice-events",
                                            "ice-extension-request",
                                            "ice-get-status",
                                            "ice-nop",
                                            "ice-notify",
                                            "ice-offer" };
   
    public final String commands [] = {"ice-cancel",
                                       "ice-get-catalog",
                                       "ice-get-package",
                                       "ice-get-sequence",
                                       "ice-repair-item",
                                       "ice-package",
                                       "ice-send-confirmations",
                                       "ice-change-subscription",
                                       "ice-code",
                                       "ice-events",
                                       "ice-extension-request",
                                       "ice-get-status",
                                       "ice-nop",
                                       "ice-notify",
                                       "ice-offer" };
   
    public final int iceCancel                   = 0;
    public final int iceGetCatalog               = 1;
    public final int iceGetPackage               = 2;
    public final int iceGetSequence              = 3;                                        
    public final int iceRepairItem               = 4;
    public final int icePackage                  = 5;
    public final int iceSendConfirmations        = 6;
    public final int iceChangeSubscription       = 7;
    public final int iceCode                     = 8;
    public final int iceEvents                   = 9;
    public final int iceExtensionRequest         = 10;
    public final int iceGetStatus                = 11;
    public final int iceNop                      = 12;
    public final int iceNotify                   = 13;
    public final int iceOffer                    = 14;
    public final int iceNewSubscription          = 15;
    public final int iceAuthenticate             = 16;
    public final int iceGetSubscriptionOffer     = 17;
    public final int iceRemoveSubscriptionOffer  = 18;
    public final int iceAddSubscriptionOffer     = 19;
    public final int iceRemoveSubscription       = 20;
    public final int iceGetOffer                 = 21;
    public final int iceAddOffer                 = 22;
    public final int iceRemoveOffer              = 23;
}