package com.adobe.rice.kernel.tests;
import com.adobe.rice.kernel.*;

 
// if test one is successful, the  
 
public class MailSlotTest
{
    private static MailSlot mailSlot;
    
    public static void main (String argv[])
    {
        //IndefiniteBlocking ();
        TimedBlocking ();
    }
        
   
    public static void IndefiniteBlocking ()
    {    
        mailSlot = new MailSlot ();
        
        Thread consumer = new Thread ()
                          {
                              public void run ()
                              {
                                 Object element;
                                
                                 try
                                 {
                                    element = mailSlot.remove();
                                    System.out.println (element);
                                 }
                                 catch (InterruptedException e)
                                 {
                                     e.printStackTrace ();
                                 }
                              }
                          };
                            
        Thread producer = new Thread ()
                              {
                                public void run ()
                                {
                                   String element = "hello world from producer";
                                
                                   try
                                   {
                                      sleep (5000);
                                      mailSlot.add (element);
                                   }
                                   catch (InterruptedException e)
                                   {
                                      e.printStackTrace ();
                                   }
                                 }      
                              };
                          
            consumer.start ();
            producer.start ();
     }
     
     
     public static void TimedBlocking ()
     {    
        mailSlot = new MailSlot ();
        
        Thread consumer2 = new Thread ()
                           {
                              public void run ()
                              {
                                 Object element;
                                
                                 try
                                 {
                                    System.out.println ("consumer about to read");
                                    long now = System.currentTimeMillis();
                                    element = mailSlot.remove (4000);
                                    System.out.println (System.currentTimeMillis() - now);
                         
                                    if (element == null)
                                    {
                                       System.out.println ("call timed out");
                                    }
                                    element = mailSlot.remove (4000);
                                    System.out.println (element);
                                 }
                                 catch (InterruptedException e)
                                 {
                                     e.printStackTrace ();
                                 }
                              }
                           };
                            
        Thread producer2 = new Thread ()
                           {
                              public void run ()
                              {
                                 String element = "hello world from producer";
                                
                                 try
                                 {
                                    sleep (5000);
                                    mailSlot.add (element);
                                 }
                                 catch (InterruptedException e)
                                 {
                                    e.printStackTrace ();
                                 }
                              }      
                           };
                                    
            consumer2.start ();
            producer2.start ();
      }
}

      