
/*
$Header: /opt/repository/icecubes/Rice/code/com/adobe/rice/common/Parsergen/Messages.java,v 1.1.1.1 2000/09/19 19:39:44 bhunt Exp $

ICEcubes - Reference implementation of the Information and Content Exchange Protocol
Copyright (C) 1998 - 2000 ICE Authoring Group

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The ICE Authoring Group thanks Adobe System's Inc. for supporting 
the initial development of ICEcubes.

This library was written on behalf of the ICE Authoring Group, affialiated
with GCA's IdeaAlliance.  For the latest information on ICE see 

http://www.icestandard.org

*/
/**
 * Messsages.java
 *
 *
 * Created: Mon Feb  7 14:43:59 2000
 *
 * @author V. Bruce Hunt
 * @version
 */

/*----------------------------------------------------------------------------------+
 |                                                                                  |
 |                             Messages for Parsergen                               |
 |                                                                                  |
 +----------------------------------------------------------------------------------*/

package com.adobe.rice.common.Parsergen;

public class Messages  
{

    //
    // Package Identifier
    //

    public static final String packageName = "ParserGen";

    //
    // Messages in Parsergen:
    //

    public static final String badTokenInGrammar = "Token, {0}, not part of grammar {1}.";
    public static final String expectingGoTo = "Recognizing production, {0}, expecting a goto state, " +
    "but got, {1}, instead.  Grammar is invalid.";
    public static final String unexpectedGoTo = "Token, {0}, directly invoked GoTo state, {1}." +
    " Grammar is invalid.";
    public static final String invalidLRtable = "Token, {0}, invokded state with invalid entry, {1}." +
    " Grammar is invalid.";
    
} // Messages
