
/*
$Header: /opt/repository/icecubes/Rice/code/com/adobe/rice/common/Parsergen/ParseState.java,v 1.1.1.1 2000/09/19 19:39:45 bhunt Exp $

ICEcubes - Reference implementation of the Information and Content Exchange Protocol
Copyright (C) 1998 - 2000 ICE Authoring Group

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The ICE Authoring Group thanks Adobe System's Inc. for supporting 
the initial development of ICEcubes.

This library was written on behalf of the ICE Authoring Group, affialiated
with GCA's IdeaAlliance.  For the latest information on ICE see 

http://www.icestandard.org

*/
/**
 * ParseState.java
 *
 *
 * Created: Mon Feb  7 11:41:33 2000
 *
 * @author V. Bruce Hunt
 * @version
 */

/*--------------------------------------------------------------------------+
 |                                                                          |
 |                   CLASS ParserState - Auxilliary parser class            |
 |                                                                          |
 +--------------------------------------------------------------------------*/

package com.adobe.rice.common.Parsergen;

import java.io.*;
import java.text.*;
import java.lang.*;
import java.util.*;
//$JDK1.1$ import com.sun.java.util.collections.*;

public class ParseState 

{
    
    short   index;          // state index
    Symbol  symbol;         // state symbol

    public ParseState() 
    {
        index = 0;
        symbol = null;
    }

    public ParseState( short ind, Symbol s )
    {
            index  = ind;
            symbol = s;
    }

    //
    // methods
    //
    public String toString()
    {
        Short Index = new Short( index );
        return "I" + Index.toString() + "[" + ((symbol==null)?"":symbol.toString()) + "]";
    }
    //
    // getters and setters
    //
    public short getIndex() { return index; }
    public void setIndex( short in ) { index = in; }

    public Symbol getSymbol() { return symbol; }
    public void setSymbol( Symbol s ) { symbol = s; }
    
} // ParseState
