/*
$Header: /opt/repository/icecubes/Rice/code/com/adobe/rice/common/catalog/Constants.java,v 1.1.1.1 2000/09/19 19:39:44 bhunt Exp $

ICEcubes - Reference implementation of the Information and Content Exchange Protocol
Copyright (C) 1998 - 2000 ICE Authoring Group

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The ICE Authoring Group thanks Adobe System's Inc. for supporting 
the initial development of ICEcubes.

This library was written on behalf of the ICE Authoring Group, affialiated
with GCA's IdeaAlliance.  For the latest information on ICE see 

http://www.icestandard.org

*/

package com.adobe.rice.common.catalog;

final public class Constants
{

    //
    //	Expected number of offers to be in the catalog.
    //
    final static int EXPECTED_OFFER_COUNT = 10;
    //
    //  Expected length in characters of text content in a 
    //
    final static int EXPECTED_OFFER_LENGTH = 150;
    //
    //  Expected number of business terms in an offer
    //
    final static int EXPECTED_BIZTERM_COUNT = 10;
    //
    //  Expected length in characters of text content in a business term.
    //
    final static int EXPECTED_BIZTERM_LENGTH = 250;
    //
    //  Expected length in characters of a delivery rule.
    //
    final static int EXPECTED_DELIVERY_RULE_LENGTH = 320;
    //
    //	Expected number of negotiables in an offer.
    //
    final static int EXPECTED_NEGOTIABLE_COUNT = 10;
    //
    //	Expected negotiable length in bytes
    //
    final static int EXPECTED_NEGOTIABLE_LENGTH = 50;
}
