/*
$Header: /opt/repository/icecubes/Rice/code/com/adobe/rice/common/collections/SubscriptionManagerInterface.java,v 1.1.1.1 2000/09/19 19:39:44 bhunt Exp $

<<ICECOPYRIGHT>>
*/

/*----------------------------------------------------------------------------------------+
 |                                                                                        |
 |                              Reference Implementation of ICE                           |
 |                                                                                        |
 |                   Collections -- Storage Manager Interface Class Definition            |
 |** for the temporary use of the Collection Manager until the real interface is built ** |
 +----------------------------------------------------------------------------------------*/ 


package com.adobe.rice.common.collections;

import com.adobe.rice.util.ExceptionMessages;

import java.util.*;
//$JDK1.1$ import com.sun.java.util.collections.*;

public class SubscriptionManagerInterface 
{
    
    public SubscriptionManagerInterface()
    {
    }
    
    public static int findMaximumPackageSize(String subscriptionId) // used in makeUpdate in CollectionManager
    {
        int size = 30; // in bytes
        return size;
    }
    
    public static String getSubscriptionType( String subscriptionId ) // used in makeUpdate in CollectionManager
    {
        String subscriptionType = CollectionManager.cumulativeOne;
        return subscriptionType;
    }
    
    public static String getTargetState( String subscriptionId, Collection collection, String subscriberState ) // used in makeUpdate in CollectionManager
//$FIX$ probably won't need to be passed the collection when actually the subscription manager
    {
        if (subscriberState.equals(CollectionManager.initialState))
        {
            Issue issue = collection.getIssue(0);
            return issue.getState();
        }
        else if (subscriberState.equals(CollectionManager.anyState))
        {
            Issue issue = collection.getIssue(0);
            return issue.getState();
        }
        else if ( collection.getStateTable(subscriberState) >= 0 )
        {
            int index = collection.getStateTable(subscriberState);
            Issue issue = collection.getIssue(index+1);
            return issue.getState();
        }
        else // the subscriber is in some in-between state
        {
            return collection.getCurrentState();
        }
    }
}