/*
 As of 2000/08/10 17:10:15, both of these methods work properly
*/
// these programs test checklist and BitVector, respectively
// if you would like to test issueElementArray, it would be better to use iceIssue
// if you would like to test just stateTable, it would be better to use iceTable
// if you would like to test packagePreparation, it would be better to use icePackage
// if you would like to test generateUpdateList, it would be better to use icePkgList
// if you would like to test makeUpdate, it would be better to use iceUpdate
// if you would like to test makeUpdate and unwrapPackage, or want an example of how to create, 
//   fill, and update a collection from "scratch," use iceTest

package com.adobe.rice.common.collections;

import java.util.*;
import java.io.*;
 
public class iceCheck
{ 
    // this is to check that "checklist" works
    // output: status 0 = 3
    //         status 1 = 0
    //         status 2 = 3
    //         status 3 = 0
    //         status 4 = 3

   public static void main( String[] args )
    {
        int count = 0;
        Collection clxn = new Collection();
        while ( count < 5)
        {
            if (count % 2 == 1 )
                clxn.setCheckItemNotPresent(count);
            if (count %2 == 0)
                clxn.setCheckItemPresent(count);
            count++;
        }
        count = 0;
        while ( count < 5 )
        {
            System.out.println( "status " + count + " = " + clxn.getCheckItemStatus(count));
            count++;
        }
        return;
    }

  /*
    // this is to test that "bitVector" works
    // output:  bit0 = 3
    //          bit1 = 0
    //          bit2 = 0
    //          bit3 = 0
    //          bit4 = 3
    public static void main( String[] args)
    {
        int count = 0;
        int present = 3, notPresent = 0;
        
        BitVector bit = new BitVector();
        while (count < 5)
        {
            if (count == 2)
                count = count;//do nothing
            else if ( count %2 == 0 )
                bit.setItem(count, present);
            else if ( count %2 == 1 )
               bit.setItem(count, notPresent);
            count++;
        }
        count = 0;
        while (count < 5)
        {
            System.out.println( "bit" + count + " = " + bit.getItem(count));
            count++;
        }
        return;
    }
  */
    
}