/*
 As of 2000/08/23, this method works properly
*/
// this is to test stateTable
// if you would like to test just checklist or BitVector, it would be better to use iceCheck
// if you would like to test just issueElementArray, it would be better to use iceIssue
// if you would like to test generateUpdateList, it would be better to use icePkgList
// if you would like to test packagePreparation, it would be better to use icePackage
// if you would like to test makeUpdate, it would be better to use iceUpdate
// if you would like to test makeUpdate and unwrapPackage, or want an example of how to create, 
//   fill, and update a collection from "scratch," use iceTest


// NOTE: the states should vary a tiny bit, due to the fact that they contain the current date, 
//   but the last digit should match (the last digit = issueId+1 )
// output: state = ASHAMBLE2000-08-221 id = 0
//         state = ASHAMBLE2000-08-222 id = 1
//         state = ASHAMBLE2000-08-223 id = 2
//         state = ASHAMBLE2000-08-224 id = 3
//
//         state = ASHAMBLE2000-08-221 int = 0
//         state = ASHAMBLE2000-08-222 int = 1
//         state = ASHAMBLE2000-08-223 int = 2
//         state = ASHAMBLE2000-08-224 int = 3
//         done

package com.adobe.rice.common.collections;
import java.util.*;
import java.io.*;

public class iceTable
{
    public static void main( String[] args )
    { 
        String clxnName = "bob";
        Collection bob = new Collection(clxnName);
        int index = 4;
        for (int count = 0; count < index; count++ )
        {
            Issue jules = new Issue();
            bob.issueDone(jules);
            System.out.println("state = "+jules.getState()+" id = "+jules.getId());
        }
        System.out.println();        
        for (int done = 0; done < index; done++)
        {
            Issue issue = bob.getIssue(done);
            String getState = issue.getState(); //state+done;
            int goesHere = bob.getStateTable(getState);
            System.out.println("state = "+getState+" int = "+goesHere);
        }
        System.out.println("done");
    }
}