/*
$Log: IceProcessor.java,v $
Revision 1.1  2000/10/25 22:05:55  andrewf
added Constants to repair misnamed IceRPC
IceProcessor will become interface for all future
concrete Ice Processors

$Header: /opt/repository/icecubes/Rice/code/com/adobe/rice/kernel/IceProcessor.java,v 1.1 2000/10/25 22:05:55 andrewf Exp $
$Author: andrewf $

ICEcubes - Reference implementation of the Information and Content Exchange Protocol
Copyright (C) 1998 - 2000 ICE Authoring Group

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The ICE Authoring Group thanks Adobe System's Inc. for supporting 
the initial development of ICEcubes.

This library was written on behalf of the ICE Authoring Group, affialiated
with GCA's IdeaAlliance.  For the latest information on ICE see 

http://www.icestandard.org
*/


package com.adobe.rice.kernel;
import java.io.*;
import java.net.*;
import java.util.*;

// IceProcessor is the abstract interface that 
// concrete processors implement. Typically, IceProcessors
// will be implemented as modules that are embedded into
// some application - i.e web server
//
// October 25 note - This will be expanded in the near
// future.

public interface IceProcessor
{
}