package com.adobe.rice.servlet.drivers;
import java.io.*;
import java.net.*;
import java.util.*;

// Servlet driver is a test driver for the 
// ICEServlet

public class ServletDriver
{
    public static void main (String[] args)
    {       
        BufferedReader bufferedReader;
        InputStreamReader inputStreamReader;
        OutputStreamWriter outputStreamWriter;
        BufferedWriter bufferedWriter;
        ByteArrayOutputStream byteStream;
        String line;
        
        try
        { 
            URL url =  new URL (args[0]) ;
            URLConnection connection = url.openConnection ();
            connection.setDoOutput (true);
            connection.setDoInput (true);
     
            inputStreamReader = new InputStreamReader (connection.getInputStream ());
            outputStreamWriter = new OutputStreamWriter (connection.getOutputStream ());
             
            bufferedReader = new BufferedReader (inputStreamReader);
            bufferedWriter = new BufferedWriter (outputStreamWriter);
            
            // PostToServer (bufferedWriter, argv[1]);
            
            while ((line = bufferedReader.readLine ()) != null)
            {
                System.out.println (line);
            }
            bufferedReader.close (); 
        }
        catch(Exception e)
        { 
            e.printStackTrace(); 
        }
    }
    
    public static void PostToServer (BufferedWriter writer,
                                     String file)
    {
      
    }
} 
    